Skip to main content
GET
/
jobs
/
{id}
{
  "jobId": "78f0bb4312a04d6f906bd6afe68afa61",
  "statusCode": "stopped",
  "duration": 7274,
  "links": [
    {
      "rel": "request",
      "href": "/jobs/78f0bb4312a04d6f906bd6afe68afa61/request"
    },
    {
      "rel": "full_schedule",
      "href": "/jobs/78f0bb4312a04d6f906bd6afe68afa61/result/?full_schedule=True"
    },
    {
      "rel": "statistics",
      "href": "/jobs/78f0bb4312a04d6f906bd6afe68afa61/result/?full_schedule=False"
    }
  ]
}

Authorizations

Authorization
string
header
required

Enter the token with the Bearer: prefix. You can retrieve token from Visma connect.

Path Parameters

id
string
required

Job ID

Response

Job status retrieved successfully. Check payload body for status.

jobId
string
required

Unique identifier for the job.

Example:

"78f0bb4312a04d6f906bd6afe68afa61"

statusCode
enum<string>
required

Current status of the job.

Available options:
starting,
running,
stopped,
error
Example:

"stopped"

duration
number
required

Duration of the job in seconds.

Example:

7274

errorMessage
string

Error message if the job failed. Only present if statusCode=="error".

Example:

"The job failed because of ..."